# /etc/sudoers - "sudo" configuration file
# License:  BSD-style  (configuration file only)
# Revision: 111022

# This file  should be edited  using  the  "visudo" command  as  root.
# See the  sudoers man page for the  details on how to write a sudoers
# file.

#---------------------------------------------------------------------
# Sample user aliases.

# User_Alias	FULLTIMERS = millert, mikef, dowdy
# User_Alias	PARTTIMERS = bostley, jwfox, crawl
# User_Alias	WEBMASTERS = will, wendy, wim

#---------------------------------------------------------------------
# "Runas" alias specifications.

Runas_Alias	OP = root, operator
Runas_Alias	DB = oracle, sybase

#---------------------------------------------------------------------
# Sample host aliases.

# Host_Alias	SPARC = bigtime, eclipse, moet, anchor:\
#		SGI = grolsch, dandelion, black:\
#		ALPHA = widget, thalamus, foobar:\
#		HPPA = boa, nag, python
# Host_Alias	CUNETS = 128.138.0.0/255.255.0.0
# Host_Alias	CSNETS = 128.138.243.0, 128.138.204.0/24, 128.138.242.0
# Host_Alias	SERVERS = master, mail, www, ns

#---------------------------------------------------------------------
# Sample command aliases.

Cmnd_Alias	DUMPS = /usr/sbin/dump, /usr/sbin/rdump, /usr/sbin/restore, \
			/usr/sbin/rrestore, /bin/mt
Cmnd_Alias	KILL = /bin/kill
Cmnd_Alias	PRINTING = /usr/sbin/lpc, /usr/bin/lprm
Cmnd_Alias	SHUTDOWN = /sbin/shutdown
Cmnd_Alias	HALT = /sbin/halt
Cmnd_Alias	REBOOT = /sbin/reboot
Cmnd_Alias	SHELLS = /sbin/sh, /bin/sh, /bin/csh, /usr/bin/ksh, \
			 /usr/bin/tcsh, /usr/bin/rsh, \
			 /usr/bin/zsh
Cmnd_Alias	SU = /bin/su
Cmnd_Alias	VIPW = /usr/sbin/vipw, /usr/bin/passwd, /usr/bin/chsh, \
		       /usr/bin/chfn

#---------------------------------------------------------------------
# Override built-in defaults.

Defaults               syslog=auth
Defaults>root          !set_logname
Defaults:FULLTIMERS    !lecture
Defaults:millert       !authenticate
Defaults@SERVERS       log_year, logfile=/var/log/sudo.log

#---------------------------------------------------------------------
# Semi-standard user configurations.

# "root" and users in the group  "wheel" can run anything on any mach-
# ine as any user:
#
root		ALL = (ALL) ALL
%wheel		ALL = (ALL) ALL

# Full-time sysadmins can run  anything on any machine without a pass-
# word:
#
FULLTIMERS	ALL = NOPASSWD: ALL

# Part-time sysadmins can run anything, but they need a password:
#
PARTTIMERS	ALL = ALL

#---------------------------------------------------------------------
# Sample user configurations.

# "jack" may run anything on machines in CSNETS:
#
# jack		CSNETS = ALL

# "lisa" may  run  any command on  any host in CUNETS  (a class B net-
# work):
#
# lisa		CUNETS = ALL

# "operator" may run  maintenance commands and anything in the direc-
# tory "/usr/oper/bin/":
#
operator	ALL = DUMPS, KILL, SHUTDOWN, HALT, REBOOT, PRINTING,\
		sudoedit /etc/printcap, /usr/oper/bin/

# "joe" may "su" only to "operator":
#
# joe		ALL = /bin/su operator

# "pete" may change passwords for anyone but "root" for HPPA systems:
#
# pete		HPPA = /usr/bin/passwd [A-z]*, !/usr/bin/passwd root

# "bob" may run anything on the sparc and sgi machines as any user
# listed in the Runas_Alias "OP" (ie: root and operator):
#
# bob		SPARC = (OP) ALL : SGI = (OP) ALL

# "jim" may run anything on machines in the "biglab" netgroup:
#
# jim		+biglab = ALL

# users in the "secretaries" netgroup need to help manage the printers
# as well as add and remove users
#
# +secretaries	ALL = PRINTING, /usr/sbin/adduser, /usr/bin/rmuser

# "fred" can run commands as oracle or sybase without a password:
#
# fred		ALL = (DB) NOPASSWD: ALL

# on the alphas, john may su to anyone but root and flags are not allowed
john		ALPHA = /bin/su [!-]*, !/bin/su *root*

# "jen" can run anything on all machines except the ones
# in the "SERVERS" Host_Alias:
#
# jen		ALL, !SERVERS = ALL

# "jill" can run any commands in the directory /usr/bin/, except for
# those in the SU and SHELLS aliases:
#
# jill		SERVERS = /usr/bin/, !SU, !SHELLS

# "steve" can run any command in the directory /usr/local/op_commands/
# as user operator:
#
# steve		CSNETS = (operator) /usr/local/op_commands/

# "matt" needs to be able to  kill things on his workstation when they
# lock up:
#
# matt		valkyrie = KILL

#---------------------------------------------------------------------
# Miscellaneous rules.

# users in the WEBMASTERS User_Alias
# may run any command as user www (which owns the web pages)
# or simply su to www.
#
WEBMASTERS	www = (www) ALL, (root) /usr/bin/su www

# Anybody can run these commands:
#
ALL ALL = NOPASSWD: /sbin/halt
ALL ALL = NOPASSWD: /sbin/hwclock
ALL ALL = NOPASSWD: /bin/mount
ALL ALL = NOPASSWD: /sbin/reboot
ALL ALL = NOPASSWD: /bin/umount
ALL ALL = NOPASSWD: /usr/bin/xsane
ALL ALL = NOPASSWD: __META_PRODTREE__/cddb-server/sbin/cddbd-start
ALL ALL = NOPASSWD: __META_PRODTREE__/gparted/sbin/gparted
ALL ALL = NOPASSWD: __META_PRODTREE__/lshw/bin/lshw-gtk
ALL ALL = NOPASSWD: __META_PRODTREE__/qvamps/bin/qvamps
ALL ALL = NOPASSWD: __META_LACUTIL__/mntcoldfire
ALL ALL = NOPASSWD: __META_LACUTIL__/stopallfiler
ALL ALL = NOPASSWD: __META_LACUTIL__/stopallfox
ALL ALL = NOPASSWD: __META_LACUTIL__/stopallpanel
ALL ALL = NOPASSWD: __META_LACUTIL__/stopallvnc
ALL ALL = NOPASSWD: __META_LACUTIL__/zendate
ALL ALL = NOPASSWD: __META_LACUTIL__/zentimezone
ALL ALL = NOPASSWD: __META_SYSUTIL__/copyskeleton
ALL ALL = NOPASSWD: __META_SYSUTIL__/resettextmode
ALL ALL = NOPASSWD: __META_SYSUTIL__/setupnet
ALL ALL = NOPASSWD: __META_SYSUTIL__/stopxwin
ALL ALL = NOPASSWD: __META_SYSUTIL__/xwincleanup
